Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.validator
Class Arg

    java.lang.Object
      |
      +--org.apache.commons.validator.Arg

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class Arg
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A default argument or an argument for a specific validator definition (ex: required) can be stored to pass into a message as parameters. This can be used in a pluggable validator for constructing locale sensitive messages by using `java.text.MessageFormat` or an equivalent class. The resource field can be used to determine if the value stored in the argument is a value to be retrieved from a locale sensitive message retrieval system like `java.util.PropertyResourceBundle`. The resource field defaults to 'true'.

Instances of this class are configured with an <arg> xml element.

Version:
  $Revision: 478334 $ $Date: 2006-11-22 21:31:54 +0000 (Wed, 22 Nov 2006) $
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `bundle` The resource bundle name that this Arg's `key` should be resolved in (optional).
`protected java.lang.String` | `key` The key or value of the argument.
`protected java.lang.String` | `name` The name dependency that this argument goes with (optional).
`protected int` | `position` This argument's position in the message.
`protected boolean` | `resource` Whether or not the key is a message resource (optional).

Constructor Summary
`Arg()`

Method Summary
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`java.lang.String` | `getBundle()` Returns the resource bundle name.
`java.lang.String` | `getKey()` Gets the key/value.
`java.lang.String` | `getName()` Gets the name of the dependency.
`int` | `getPosition()` Argument's replacement position.
`boolean` | `isResource()` Tests whether or not the key is a resource key or literal value.
`void` | `setBundle(java.lang.String bundle)` Sets the resource bundle name.
`void` | `setKey(java.lang.String key)` Sets the key/value.
`void` | `setName(java.lang.String name)` Sets the name of the dependency.
`void` | `setPosition(int position)` Set this argument's replacement position.
`void` | `setResource(boolean resource)` Sets whether or not the key is a resource.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bundle

    protected java.lang.String bundle

  The resource bundle name that this Arg's `key` should be resolved in (optional).
  Since:
    Validator 1.1

### key

    protected java.lang.String key

  The key or value of the argument.

### name

    protected java.lang.String name

  The name dependency that this argument goes with (optional).

### position

    protected int position

  This argument's position in the message. Set postion=0 to make a replacement in this string: "some msg {0}".
  Since:
    Validator 1.1

### resource

    protected boolean resource

  Whether or not the key is a message resource (optional). Defaults to true. If it is 'true', the value will try to be resolved as a message resource.

Constructor Detail

### Arg

    public Arg()

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A copy of this object.

### getBundle

    public java.lang.String getBundle()

  Returns the resource bundle name.
  Returns:
    the bundle name.
  Since:
    Validator 1.1

### getKey

    public java.lang.String getKey()

  Gets the key/value.
  Returns:
    the key value.

### getName

    public java.lang.String getName()

  Gets the name of the dependency.
  Returns:
    the name of the dependency.

### getPosition

    public int getPosition()

  Argument's replacement position.
  Returns:
    This argument's replacement position.

### isResource

    public boolean isResource()

  Tests whether or not the key is a resource key or literal value.
  Returns:
    `true` if key is a resource key.

### setBundle

    public void setBundle(java.lang.String bundle)

  Sets the resource bundle name.
  Parameters:
    `bundle` - The new bundle name.
  Since:
    Validator 1.1

### setKey

    public void setKey(java.lang.String key)

  Sets the key/value.
  Parameters:
    `key` - They to access the argument.

### setName

    public void setName(java.lang.String name)

  Sets the name of the dependency.
  Parameters:
    `name` - the name of the dependency.

### setPosition

    public void setPosition(int position)

  Set this argument's replacement position.
  Parameters:
    `position` - set this argument's replacement position.

### setResource

    public void setResource(boolean resource)

  Sets whether or not the key is a resource.
  Parameters:
    `resource` - If true indicates the key is a resource.

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.